<?php

namespace App\Filament\Resources\Inspecteurs;

use App\Filament\Resources\Inspecteurs\Pages\CreateInspecteur;
use App\Filament\Resources\Inspecteurs\Pages\EditInspecteur;
use App\Filament\Resources\Inspecteurs\Pages\ListInspecteurs;
use App\Filament\Resources\Inspecteurs\Schemas\InspecteurForm;
use App\Filament\Resources\Inspecteurs\Tables\InspecteursTable;
use App\Models\Inspecteur;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class InspecteurResource extends Resource
{
    protected static ?string $model = Inspecteur::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return InspecteurForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return InspecteursTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListInspecteurs::route('/'),
            'create' => CreateInspecteur::route('/create'),
            'edit' => EditInspecteur::route('/{record}/edit'),
        ];
    }
}
